index

Varkon MBS Programmers manual

# hsv_to_rgb - Procedure

## Description

Converts color values from the HSV system to RGB. The HSV system uses a base color (the Hue) of specific purity (the Saturation) and brightness (the Value) to create a color. Saturation = 100 means that the color is 100% pure (no white added).

## Syntax

      hsv_to_rgb(hue, saturation, value, red, green, blue);

      int hue;
      int saturation;
      int value;
      int red;
      int green;
      int blue;

## Principal parameters

hue | - Hue, 0 - 360
saturation | - Saturation, 0 - 100
value | - Value, 0 - 100
red | - Red intensity, 0 - 255
green | - Green intensity, 0 - 255
blue | - Blue intensity, 0 - 255

## Optional parameters

None.

## Comments

See also:

rgb_to_hsv(), cre_color()

Varkon version 1.19C svn# 120